<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:34 CEST 2019 -->
<title>FBServiceManager (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FBServiceManager (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":42,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/management/FBNBackupManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/management/FBStatisticsManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/management/FBServiceManager.html" target="_top">Frames</a></li>
<li><a href="FBServiceManager.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.management</div>
<h2 title="Class FBServiceManager" class="title">Class FBServiceManager</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.management.FBServiceManager</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../org/firebirdsql/management/FBBackupManagerBase.html" title="class in org.firebirdsql.management">FBBackupManagerBase</a>, <a href="../../../org/firebirdsql/management/FBMaintenanceManager.html" title="class in org.firebirdsql.management">FBMaintenanceManager</a>, <a href="../../../org/firebirdsql/management/FBNBackupManager.html" title="class in org.firebirdsql.management">FBNBackupManager</a>, <a href="../../../org/firebirdsql/management/FBStatisticsManager.html" title="class in org.firebirdsql.management">FBStatisticsManager</a>, <a href="../../../org/firebirdsql/management/FBTraceManager.html" title="class in org.firebirdsql.management">FBTraceManager</a>, <a href="../../../org/firebirdsql/management/FBUserManager.html" title="class in org.firebirdsql.management">FBUserManager</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FBServiceManager</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></pre>
<div class="block">An implementation of the basic Firebird Service API functionality.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:rrokytskyy@users.sourceforge.net">Roman Rokytskyy</a>, <a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#BUFFER_SIZE">BUFFER_SIZE</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#FBServiceManager--">FBServiceManager</a></span>()</code>
<div class="block">Create a new instance of <code>FBServiceManager</code> based on
 the default GDSType.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#FBServiceManager-org.firebirdsql.gds.impl.GDSType-">FBServiceManager</a></span>(<a href="../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl">GDSType</a>&nbsp;gdsType)</code>
<div class="block">Create a new instance of <code>FBServiceManager</code> based on
 a given GDSType.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#FBServiceManager-java.lang.String-">FBServiceManager</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;gdsType)</code>
<div class="block">Create a new instance of <code>FBServiceManager</code> based on
 a given GDSType.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a href="javascript:show(32);">Deprecated Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected <a href="../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#attachDatabase--">attachDatabase</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#attachServiceManager--">attachServiceManager</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected <a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#createRequestBuffer-org.firebirdsql.gds.ng.FbService-int-int-">createRequestBuffer</a></span>(<a href="../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a>&nbsp;service,
                   int&nbsp;operation,
                   int&nbsp;options)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#executeServicesOperation-org.firebirdsql.gds.ng.FbService-org.firebirdsql.gds.ServiceRequestBuffer-">executeServicesOperation</a></span>(<a href="../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a>&nbsp;service,
                        <a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>&nbsp;srb)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#executeServicesOperation-org.firebirdsql.gds.ServiceRequestBuffer-">executeServicesOperation</a></span>(<a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>&nbsp;srb)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../../org/firebirdsql/management/FBServiceManager.html#executeServicesOperation-org.firebirdsql.gds.ng.FbService-org.firebirdsql.gds.ServiceRequestBuffer-"><code>executeServicesOperation(FbService, ServiceRequestBuffer)</code></a>.</span></div>
</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#getAuthPlugins--">getAuthPlugins</a></span>()</code>
<div class="block">Get the list of authentication plugins to try.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#getCharSet--">getCharSet</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#getDatabase--">getDatabase</a></span>()</code>
<div class="block">Returns the database path for the connection to the service manager.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#getDbCryptConfig--">getDbCryptConfig</a></span>()</code>
<div class="block">Get the database encryption plugin configuration.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#getHost--">getHost</a></span>()</code>
<div class="block">Returns the host for the connection to the service manager.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#getLogger--">getLogger</a></span>()</code>
<div class="block">Returns the logger for the connection to the service manager.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#getPassword--">getPassword</a></span>()</code>
<div class="block">Returns the password for the connection to the service manager.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#getPort--">getPort</a></span>()</code>
<div class="block">Returns the port for the connection to the service manager.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/gds/impl/GDSServerVersion.html" title="class in org.firebirdsql.gds.impl">GDSServerVersion</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#getServerVersion--">getServerVersion</a></span>()</code>
<div class="block">Obtains the server version through a service call.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#getServiceName--">getServiceName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#getUser--">getUser</a></span>()</code>
<div class="block">Get name of the user that performs the operation.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/gds/ng/WireCrypt.html" title="enum in org.firebirdsql.gds.ng">WireCrypt</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#getWireCrypt--">getWireCrypt</a></span>()</code>
<div class="block">Get the wire encryption level.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#queueService-org.firebirdsql.gds.ng.FbService-">queueService</a></span>(<a href="../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a>&nbsp;service)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#setAuthPlugins-java.lang.String-">setAuthPlugins</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;authPlugins)</code>
<div class="block">Sets the authentication plugins to try.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#setCharSet-java.lang.String-">setCharSet</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;charSet)</code>
<div class="block">Sets the encoding used for encoding or decoding string values.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#setDatabase-java.lang.String-">setDatabase</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;database)</code>
<div class="block">Sets the database path for the connection to the service manager.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#setDbCryptConfig-java.lang.String-">setDbCryptConfig</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;dbCryptConfig)</code>
<div class="block">Sets the database encryption plugin configuration.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#setHost-java.lang.String-">setHost</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;host)</code>
<div class="block">Sets the host for the connection to the service manager.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#setLogger-java.io.OutputStream-">setLogger</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;logger)</code>
<div class="block">Sets the logger for the connection to the service manager.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#setPassword-java.lang.String-">setPassword</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</code>
<div class="block">Sets the password for the connection to the service manager.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#setPort-int-">setPort</a></span>(int&nbsp;port)</code>
<div class="block">Sets the port for the connection to the service manager.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#setUser-java.lang.String-">setUser</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;user)</code>
<div class="block">Set the name of the user that performs the operation.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBServiceManager.html#setWireCrypt-org.firebirdsql.gds.ng.WireCrypt-">setWireCrypt</a></span>(<a href="../../../org/firebirdsql/gds/ng/WireCrypt.html" title="enum in org.firebirdsql.gds.ng">WireCrypt</a>&nbsp;wireCrypt)</code>
<div class="block">Set the wire encryption level.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="BUFFER_SIZE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BUFFER_SIZE</h4>
<pre>public static final&nbsp;int BUFFER_SIZE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.management.FBServiceManager.BUFFER_SIZE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FBServiceManager--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FBServiceManager</h4>
<pre>public&nbsp;FBServiceManager()</pre>
<div class="block">Create a new instance of <code>FBServiceManager</code> based on
 the default GDSType.</div>
</li>
</ul>
<a name="FBServiceManager-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FBServiceManager</h4>
<pre>public&nbsp;FBServiceManager(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;gdsType)</pre>
<div class="block">Create a new instance of <code>FBServiceManager</code> based on
 a given GDSType.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>gdsType</code> - type must be PURE_JAVA, EMBEDDED, or NATIVE</dd>
</dl>
</li>
</ul>
<a name="FBServiceManager-org.firebirdsql.gds.impl.GDSType-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FBServiceManager</h4>
<pre>public&nbsp;FBServiceManager(<a href="../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl">GDSType</a>&nbsp;gdsType)</pre>
<div class="block">Create a new instance of <code>FBServiceManager</code> based on
 a given GDSType.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>gdsType</code> - The GDS implementation type to use</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setCharSet-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCharSet</h4>
<pre>public&nbsp;void&nbsp;setCharSet(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;charSet)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html#setCharSet-java.lang.String-">ServiceManager</a></code></span></div>
<div class="block">Sets the encoding used for encoding or decoding string values.
 <p>
 If not set (or null), defaults to the value of system property <code>file.encoding</code>/
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/ServiceManager.html#setCharSet-java.lang.String-">setCharSet</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>charSet</code> - Java charset name.</dd>
</dl>
</li>
</ul>
<a name="getCharSet--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCharSet</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getCharSet()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/ServiceManager.html#getCharSet--">getCharSet</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></code></dd>
</dl>
</li>
</ul>
<a name="setUser-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUser</h4>
<pre>public&nbsp;void&nbsp;setUser(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;user)</pre>
<div class="block">Set the name of the user that performs the operation.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/ServiceManager.html#setUser-java.lang.String-">setUser</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>user</code> - name of the user.</dd>
</dl>
</li>
</ul>
<a name="getUser--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUser</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getUser()</pre>
<div class="block">Get name of the user that performs the operation.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/ServiceManager.html#getUser--">getUser</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>name of the user that performs the operation.</dd>
</dl>
</li>
</ul>
<a name="setPassword-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPassword</h4>
<pre>public&nbsp;void&nbsp;setPassword(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html#setPassword-java.lang.String-">ServiceManager</a></code></span></div>
<div class="block">Sets the password for the connection to the service manager.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/ServiceManager.html#setPassword-java.lang.String-">setPassword</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>password</code> - The password to set.</dd>
</dl>
</li>
</ul>
<a name="getPassword--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPassword</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPassword()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html#getPassword--">ServiceManager</a></code></span></div>
<div class="block">Returns the password for the connection to the service manager.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/ServiceManager.html#getPassword--">getPassword</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the password.</dd>
</dl>
</li>
</ul>
<a name="setDatabase-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDatabase</h4>
<pre>public&nbsp;void&nbsp;setDatabase(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;database)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html#setDatabase-java.lang.String-">ServiceManager</a></code></span></div>
<div class="block">Sets the database path for the connection to the service manager.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/ServiceManager.html#setDatabase-java.lang.String-">setDatabase</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>database</code> - path for the connection to the service manager.</dd>
</dl>
</li>
</ul>
<a name="getDatabase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDatabase</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDatabase()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html#getDatabase--">ServiceManager</a></code></span></div>
<div class="block">Returns the database path for the connection to the service manager.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/ServiceManager.html#getDatabase--">getDatabase</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the database path for the connection to the service manager.</dd>
</dl>
</li>
</ul>
<a name="getHost--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHost</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getHost()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html#getHost--">ServiceManager</a></code></span></div>
<div class="block">Returns the host for the connection to the service manager.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/ServiceManager.html#getHost--">getHost</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the host.</dd>
</dl>
</li>
</ul>
<a name="setHost-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHost</h4>
<pre>public&nbsp;void&nbsp;setHost(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;host)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html#setHost-java.lang.String-">ServiceManager</a></code></span></div>
<div class="block">Sets the host for the connection to the service manager.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/ServiceManager.html#setHost-java.lang.String-">setHost</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>host</code> - The host to set.</dd>
</dl>
</li>
</ul>
<a name="getPort--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPort</h4>
<pre>public&nbsp;int&nbsp;getPort()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html#getPort--">ServiceManager</a></code></span></div>
<div class="block">Returns the port for the connection to the service manager.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/ServiceManager.html#getPort--">getPort</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the port.</dd>
</dl>
</li>
</ul>
<a name="setPort-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPort</h4>
<pre>public&nbsp;void&nbsp;setPort(int&nbsp;port)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html#setPort-int-">ServiceManager</a></code></span></div>
<div class="block">Sets the port for the connection to the service manager.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/ServiceManager.html#setPort-int-">setPort</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>port</code> - The port to set.</dd>
</dl>
</li>
</ul>
<a name="getWireCrypt--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWireCrypt</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/gds/ng/WireCrypt.html" title="enum in org.firebirdsql.gds.ng">WireCrypt</a>&nbsp;getWireCrypt()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html#getWireCrypt--">ServiceManager</a></code></span></div>
<div class="block">Get the wire encryption level.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/ServiceManager.html#getWireCrypt--">getWireCrypt</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Wire encryption level</dd>
</dl>
</li>
</ul>
<a name="setWireCrypt-org.firebirdsql.gds.ng.WireCrypt-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWireCrypt</h4>
<pre>public&nbsp;void&nbsp;setWireCrypt(<a href="../../../org/firebirdsql/gds/ng/WireCrypt.html" title="enum in org.firebirdsql.gds.ng">WireCrypt</a>&nbsp;wireCrypt)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html#setWireCrypt-org.firebirdsql.gds.ng.WireCrypt-">ServiceManager</a></code></span></div>
<div class="block">Set the wire encryption level.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/ServiceManager.html#setWireCrypt-org.firebirdsql.gds.ng.WireCrypt-">setWireCrypt</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>wireCrypt</code> - Wire encryption level (<code>null</code> not allowed)</dd>
</dl>
</li>
</ul>
<a name="getDbCryptConfig--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDbCryptConfig</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDbCryptConfig()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html#getDbCryptConfig--">ServiceManager</a></code></span></div>
<div class="block">Get the database encryption plugin configuration.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/ServiceManager.html#getDbCryptConfig--">getDbCryptConfig</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Database encryption plugin configuration, meaning plugin specific</dd>
</dl>
</li>
</ul>
<a name="setDbCryptConfig-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDbCryptConfig</h4>
<pre>public&nbsp;void&nbsp;setDbCryptConfig(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;dbCryptConfig)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html#setDbCryptConfig-java.lang.String-">ServiceManager</a></code></span></div>
<div class="block">Sets the database encryption plugin configuration.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/ServiceManager.html#setDbCryptConfig-java.lang.String-">setDbCryptConfig</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dbCryptConfig</code> - Database encryption plugin configuration, meaning plugin specific</dd>
</dl>
</li>
</ul>
<a name="getAuthPlugins--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAuthPlugins</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getAuthPlugins()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html#getAuthPlugins--">ServiceManager</a></code></span></div>
<div class="block">Get the list of authentication plugins to try.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/ServiceManager.html#getAuthPlugins--">getAuthPlugins</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>comma-separated list of authentication plugins, or <code>null</code> for driver default</dd>
</dl>
</li>
</ul>
<a name="setAuthPlugins-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAuthPlugins</h4>
<pre>public&nbsp;void&nbsp;setAuthPlugins(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;authPlugins)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html#setAuthPlugins-java.lang.String-">ServiceManager</a></code></span></div>
<div class="block">Sets the authentication plugins to try.
 <p>
 Invalid names are skipped during authentication.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/ServiceManager.html#setAuthPlugins-java.lang.String-">setAuthPlugins</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>authPlugins</code> - comma-separated list of authentication plugins, or <code>null</code> for driver default</dd>
</dl>
</li>
</ul>
<a name="getLogger--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLogger</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;getLogger()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html#getLogger--">ServiceManager</a></code></span></div>
<div class="block">Returns the logger for the connection to the service manager.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/ServiceManager.html#getLogger--">getLogger</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the out.</dd>
</dl>
</li>
</ul>
<a name="setLogger-java.io.OutputStream-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLogger</h4>
<pre>public&nbsp;void&nbsp;setLogger(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;logger)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html#setLogger-java.io.OutputStream-">ServiceManager</a></code></span></div>
<div class="block">Sets the logger for the connection to the service manager.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/ServiceManager.html#setLogger-java.io.OutputStream-">setLogger</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>logger</code> - The out to set.</dd>
</dl>
</li>
</ul>
<a name="getServiceName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getServiceName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getServiceName()</pre>
</li>
</ul>
<a name="attachServiceManager--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>attachServiceManager</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a>&nbsp;attachServiceManager()
                               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="attachDatabase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>attachDatabase</h4>
<pre>protected&nbsp;<a href="../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a>&nbsp;attachDatabase()
                             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="queueService-org.firebirdsql.gds.ng.FbService-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>queueService</h4>
<pre>public&nbsp;void&nbsp;queueService(<a href="../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a>&nbsp;service)
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>,
                         <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="executeServicesOperation-org.firebirdsql.gds.ServiceRequestBuffer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>executeServicesOperation</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
protected&nbsp;void&nbsp;executeServicesOperation(<a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>&nbsp;srb)
                                              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">Use <a href="../../../org/firebirdsql/management/FBServiceManager.html#executeServicesOperation-org.firebirdsql.gds.ng.FbService-org.firebirdsql.gds.ServiceRequestBuffer-"><code>executeServicesOperation(FbService, ServiceRequestBuffer)</code></a>.</span></div>
<div class="block">Execute a Services API operation in the database. All output from the
 operation is sent to this <code>ServiceManager</code>'s logger.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>srb</code> - The buffer containing the task request</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs or
         incorrect parameters are supplied</dd>
</dl>
</li>
</ul>
<a name="executeServicesOperation-org.firebirdsql.gds.ng.FbService-org.firebirdsql.gds.ServiceRequestBuffer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>executeServicesOperation</h4>
<pre>protected final&nbsp;void&nbsp;executeServicesOperation(<a href="../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a>&nbsp;service,
                                              <a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>&nbsp;srb)
                                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="createRequestBuffer-org.firebirdsql.gds.ng.FbService-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createRequestBuffer</h4>
<pre>protected&nbsp;<a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>&nbsp;createRequestBuffer(<a href="../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a>&nbsp;service,
                                                   int&nbsp;operation,
                                                   int&nbsp;options)</pre>
</li>
</ul>
<a name="getServerVersion--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getServerVersion</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/gds/impl/GDSServerVersion.html" title="class in org.firebirdsql.gds.impl">GDSServerVersion</a>&nbsp;getServerVersion()
                                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html#getServerVersion--">ServiceManager</a></code></span></div>
<div class="block">Obtains the server version through a service call.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/ServiceManager.html#getServerVersion--">getServerVersion</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Parsed server version, or <a href="../../../org/firebirdsql/gds/impl/GDSServerVersion.html#INVALID_VERSION"><code>GDSServerVersion.INVALID_VERSION</code></a> if parsing
 failed.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors connecting to the service manager.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/management/FBNBackupManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/management/FBStatisticsManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/management/FBServiceManager.html" target="_top">Frames</a></li>
<li><a href="FBServiceManager.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
